statistics-0.10.2.0: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Gamma

Contents

- Constructors
- Accessors

Description

The gamma distribution. This is a continuous probability distribution with two parameters, k and ϑ. If k is integral, the distribution represents the sum of k independent exponentially distributed random variables, each of which has a mean of ϑ.

Synopsis

- data GammaDistribution
- gammaDistr :: Double -> Double -> GammaDistribution
- improperGammaDistr :: Double -> Double -> GammaDistribution
- gdShape :: GammaDistribution -> Double
- gdScale :: GammaDistribution -> Double

# Documentation

data GammaDistribution

The gamma distribution.

Instances

Eq GammaDistribution |
Read GammaDistribution |
Show GammaDistribution |
Typeable GammaDistribution |
ContGen GammaDistribution |
Variance GammaDistribution |
MaybeVariance GammaDistribution |
Mean GammaDistribution |
MaybeMean GammaDistribution |
ContDistr GammaDistribution |
Distribution GammaDistribution |

# Constructors

gammaDistr

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. Both shape and scale parameters must be positive.

improperGammaDistr

Arguments

:: Double | Shape parameter. k
-> Double | Scale parameter, ϑ.
-> GammaDistribution |

Create gamma distribution. This constructor do not check whether parameters are valid

# Accessors

gdShape :: GammaDistribution -> Double

Shape parameter, k.

gdScale :: GammaDistribution -> Double

Scale parameter, ϑ.